DisguiseMe (1.8 -> 1.16)

Script DisguiseMe (1.8 -> 1.16) 1.2

  • Welcome to skUnity!

    Welcome to skUnity! This is a forum where members of the Skript community can communicate and interact. Skript Resource Creators can post their Resources for all to see and use.

    If you haven't done so already, feel free to join our official Discord server to expand your level of interaction with the comminuty!

    Now, what are you waiting for? Join the community now!

Sorry for being so late to update this, but I don't have enough time to work on it! Anyway, hope you'll enjoy this update! Please read the entire patchnote (or at least the end) before updating !
New features:
[+] Added the new Piglin brute mob (added in 1.16.2)
[+] The stuff of the player now properly shows up on the disguise when possible (i.e. if you disguise as a Zombie with a diamond chestplate, other players will see the Zombie with a diamond chestplate). You can turn it off if you wish to. You can see that in the gif in the attached files or here !
Bug fixes and minor changes:
[~] Fixed a bug in mc 1.16.2+ where some mobs would disguise you as others (Mojang changed some ids)
[~] Fixed a bug that sent an error message to console in 1.16.2 or above (and could disconnect the player) (closes #1)
[+] Added some messages on load about the potentials errors (ProtocolLib 4.6 being still in beta, it's not stable in every versions. As far as I tested, in mc 1.11 and lower, it doesn't work, but not having it causes errors on reload. They can be safely ignored. It is mandatory in 1.16 to show the stuff though. See below for more infos.)

PLEASE READ THIS CAREFULLY
• You need ProtocolLib 4.6 (which is still in snapshot at the moment) in 1.16+ to see the stuff of the player. You can keep 4.5.1 if your server runs 1.15 or lower but you'll get errors when reloading the script (you can ignore them it's fine).
• The snapshot version of ProtocolLib 4.6 may cause bugs in 1.11 or lower (DisguiseMe didn't work with it last time I tried, I guess we'll have to be patient on this one). Please ignore the errors, they don't matter.
• If you still use Skript 2.2 in 1.8 (why?), you'll get 2 more errors coming from the "player's off hand tool" (for 1.9+) since it didn't exist at the time, you can ignore them (or you can update Skript with this fork)

Attachments

  • DisguiseMe 1.2.gif
    442.7 KB · Views: 43
I apologize for being this late to update my script, but this is a big update and I think the new features are worth it!
• Added support for 1.16:
[+] Added the new mobs: Strider, Hoglin, Piglin & ZombifiedPiglin
• Other major changes:
[+] The player now faces the right direction when he comes in visible range and when he remove his disguise
[+] The player's held item is now properly shown to other player when disguising(in a compatible mob, for example Zombies)/coming into visible range
[+] Added an experimental feature, which show the stuff of the player to other players in 1.12 or below (not only the held item)
• Minor changes:
[+] Added an alert if ProtocolLib or ThatPacketAddon is missing
[+] Functions were updated (I hope I didn't forget anything)
[~] The mobs are now in alphabetical order (at least in the options)
[~] I optimized the script (it still isn't perfect, but it's not horrible)
[~] The mobs are now in alphabetical order (at least in the options)
[~] Some errors messages are now sent to the ops
[+] Added a MobToId function for 1.16 & a UpdateHand function for 1.16 too
[+] Added return for functions if the mob was deleted from minecraft (Pigmen in 1.16). MobToId("ZombiePigman") return -6 if the mob doesn't exist anymore
[+] Added options to disable all the new features (they're all true by default)
[-] Removed all the useless return in some functions
I tried to translate everything in English, eventhough there may be mistakes, I think it's still better than having it in French (which wasn't what I wanted to do in the first place, I just uploaded the french version instead of the english one)